// menu.h


// Menu text
//flash char MT_POWER[]                     = " >>>>>>  ";
flash char MT_RADIKAL2[]                  = "* RaDiKaL2 * ";
flash char MT_AUTOSEARCH[]                = "     ";
flash char MT_AUTOSEARCH_SEARCH_UP[]      = ". >>>>> ";
//flash char MT_MANUALSEARCH[]              = ".      ";
//flash char MT_MANUALSEARCH_SEARCH[]       = ". <  >  ";
flash char MT_MANUALSEARCH_SEARCH_UP[]    = "    ";
flash char MT_MANUALSEARCH_SEARCH_DOWN[]  = "     " ;
flash char MT_MENU[]                      = "     ";
flash char MT_UP[]                        = " +       ";
flash char MT_DOWN[]                      = " -       ";

//  STATE                         INPUT       NEXT STATE 
flash struct
{
    unsigned char state;
    unsigned char input;
    unsigned char nextstate;
} menu_nextstate[]=    {
//    {ST_POWER,                    KEY_ENTER,  ST_READ_MEM},   
    
    {ST_RADIKAL2,                 KEY_PLUS,   ST_MEM_UP},
    {ST_RADIKAL2,                 KEY_ENTER,  ST_MENU},
    {ST_RADIKAL2,                 KEY_MINUS,  ST_MEM_DOWN},
    {ST_RADIKAL2,                 KEY_LONGMINUS,  ST_MANUALSEARCH_SEARCH_DOWN_DDD},
    {ST_RADIKAL2,                 KEY_LONGPLUS,  ST_MANUALSEARCH_SEARCH_UP_DDD},
    {ST_RADIKAL2,                 KEY_LONGENTER,  ST_SCAN_UP},
    
    {ST_AUTOSEARCH,               KEY_PLUS,   ST_MANUALSEARCH},
    {ST_AUTOSEARCH,               KEY_ENTER,  ST_SCAN_UP},
    {ST_AUTOSEARCH,               KEY_LONGENTER,  ST_RADIKAL2},
    
    {ST_MANUALSEARCH,             KEY_PLUS,   ST_AUTOSEARCH},
    {ST_MANUALSEARCH,             KEY_ENTER,  ST_MANUALSEARCH_SEARCH},
    {ST_MANUALSEARCH,             KEY_MINUS,  ST_AUTOSEARCH},
    {ST_MANUALSEARCH,             KEY_LONGENTER,  ST_RADIKAL2},
    
    {ST_MANUALSEARCH_SEARCH,      KEY_PLUS,   ST_MANUALSEARCH_SEARCH_UP},
    {ST_MANUALSEARCH_SEARCH,      KEY_ENTER,  ST_MANUALSEARCH},
    {ST_MANUALSEARCH_SEARCH,      KEY_MINUS,  ST_MANUALSEARCH_SEARCH_DOWN},
    {ST_MANUALSEARCH_SEARCH,      KEY_LONGENTER,  ST_RADIKAL2},
    
    {ST_MENU,                  KEY_PLUS,  ST_CH_UP}, 
    {ST_MENU,                  KEY_MINUS, ST_CH_DOWN},
    {ST_MENU,                  KEY_ENTER,  ST_MANUALSEARCH_SEARCH_UP},
    {ST_MENU,                  KEY_LONGENTER,  ST_RADIKAL2},
//    {ST_MENU,                  KEY_LONGPLUS,  ST_SCAN_UP},
       
    {0,                           0,          0}};


flash struct
{
    unsigned char state;
    char flash *pText;
    char (*pFunc)(char input);
} menu_state[] = {
//  STATE                               STATE TEXT                   STATE_FUNC

    {ST_READ_MEM,                       NULL,                        Read_mem},
    {ST_RADIKAL2,                       MT_RADIKAL2,                 NULL},
    {ST_MEM_UP,                         NULL,                        Mem_up},
    {ST_MEM_DOWN,                       NULL,                        Mem_down},
    {ST_AUTOSEARCH,                     MT_AUTOSEARCH,               NULL},
    {ST_SCAN_UP,                        MT_AUTOSEARCH_SEARCH_UP,     Auto_scan_up},
//    {ST_MANUALSEARCH,                   MT_MANUALSEARCH,             NULL},
//    {ST_MANUALSEARCH_SEARCH,            MT_MANUALSEARCH_SEARCH,      NULL}, 
    {ST_MANUALSEARCH_SEARCH_UP,         MT_MANUALSEARCH_SEARCH_UP,   Manual_search_up},    
    {ST_MANUALSEARCH_SEARCH_DOWN,       MT_MANUALSEARCH_SEARCH_DOWN, Manual_search_down},
    {ST_MANUALSEARCH_SEARCH_UP_DDD,     MT_MANUALSEARCH_SEARCH_UP,   Manual_search_up_DDD},    
    {ST_MANUALSEARCH_SEARCH_DOWN_DDD,   MT_MANUALSEARCH_SEARCH_DOWN, Manual_search_down_DDD},
    {ST_MENU,                           MT_MENU,                     NULL}, 
    {ST_CH_UP,                          MT_UP,                       Mem_up_DDD},
    {ST_CH_DOWN,                        MT_DOWN,                     Mem_down_DDD},
              
    
    {0,                                 NULL,                       NULL}};
