#include <delay.h>

unsigned char StateMachine(char state, unsigned char stimuli);
char Read_mem(char input);
char Mem_up(char input);
char Mem_up_DDD(char input);
char Mem_down_DDD(char input);
char Mem_down(char input);
char Auto_scan_up(char input);
char Manual_search_up(char input);
char Manual_search_down(char input);
char Manual_search_up_DDD(char input);
char Manual_search_down_DDD(char input);
unsigned char fSelButton();


#define FALSE   0
#define TRUE    (!FALSE)


// Menu state machine states
#define ST_RADIKAL2                         10
#define ST_READ_MEM                         11
#define ST_MENU                             12
#define ST_MEM_UP                           20
#define ST_MEM_DOWN                         21
#define ST_AUTOSEARCH                       30
#define ST_AUTOSEARCH_SEARCH                31
#define ST_SCAN_UP                          32
#define ST_SCAN_DOWN                        33
#define ST_MANUALSEARCH                     40
#define ST_MANUALSEARCH_SEARCH              41
#define ST_MANUALSEARCH_SEARCH_UP           42
#define ST_MANUALSEARCH_SEARCH_DOWN         43
#define ST_MANUALSEARCH_SEARCH_UP_DDD       44
#define ST_MANUALSEARCH_SEARCH_DOWN_DDD     45
#define ST_MANUALSEARCH_UP                  46
#define ST_MANUALSEARCH_DOWN                47
#define ST_CH_UP                             50
#define ST_CH_DOWN                           51


//Button definitions

#define KEY_NULL    0
#define KEY_ENTER   1
#define KEY_LONGENTER   2
#define KEY_LONGMINUS 5
#define KEY_LONGPLUS 6
#define KEY_PLUS    3
#define KEY_MINUS   4
